Bug 599765 - FTBFS gdl-0.9-0.12.rc4.fc14
Summary: FTBFS gdl-0.9-0.12.rc4.fc14
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gdl   
(Show other bugs)
Version: 14
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Keywords: Triaged
Depends On:
Blocks: F14FTBFS
TreeView+ depends on / blocked
 
Reported: 2010-06-03 20:21 UTC by FTBFS
Modified: 2010-12-12 20:30 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-12 20:30:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
root.log (799.09 KB, text/plain)
2010-06-03 20:21 UTC, FTBFS
no flags Details
build.log (164.11 KB, text/plain)
2010-06-03 20:21 UTC, FTBFS
no flags Details
mock.log (952 bytes, text/plain)
2010-06-03 20:21 UTC, FTBFS
no flags Details
root.log (1.15 MB, text/plain)
2010-06-03 20:22 UTC, FTBFS
no flags Details
build.log (266.66 KB, text/plain)
2010-06-03 20:22 UTC, FTBFS
no flags Details
mock.log (898 bytes, text/plain)
2010-06-03 20:22 UTC, FTBFS
no flags Details

Description FTBFS 2010-06-03 20:21:50 UTC
gdl-0.9-0.12.rc4.fc14.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.
If you believe this is actually a bug in another package, do NOT change the component in this bug or close this bug.  Instead, add the appropriate bug number from the other package to the "Depends on" line in this bug.  If the other package does not yet have a bug created that you think matches, please create one.  Doing so helps us properly track bugs and their dependencies, just as we track package dependencies.  (If you close this bug, and the other package is not fixed before the next FTBFS run, a new bug will get created.  Please follow the above advice to avoid such duplication.)

Comment 1 FTBFS 2010-06-03 20:21:53 UTC
Created attachment 419605 [details]
root.log

root.log for i386

Comment 2 FTBFS 2010-06-03 20:21:55 UTC
Created attachment 419606 [details]
build.log

build.log for i386

Comment 3 FTBFS 2010-06-03 20:21:57 UTC
Created attachment 419607 [details]
mock.log

mock.log for i386

Comment 4 FTBFS 2010-06-03 20:22:00 UTC
Created attachment 419608 [details]
root.log

root.log for x86_64

Comment 5 FTBFS 2010-06-03 20:22:01 UTC
Created attachment 419609 [details]
build.log

build.log for x86_64

Comment 6 FTBFS 2010-06-03 20:22:02 UTC
Created attachment 419610 [details]
mock.log

mock.log for x86_64

Comment 7 Orion Poplawski 2010-06-03 20:31:37 UTC
Reported upstream.  Waiting for them as I really have no clue about the wxWidgets code.

https://sourceforge.net/tracker/?func=detail&aid=3005435&group_id=97659&atid=618683

g++ -DHAVE_CONFIG_H -I. -I../../src -I.. -I/usr/include/udunits2 -I/usr/lib/wx/include/gtk2-unicode-release-2.8 -I/usr/include/wx-2.8 -D_FILE_OFFSET_BITS=64 -D_LARGE_FILES -D__WXGTK__ -pthread -fopenmp -I/usr/include/ImageMagick -I/usr/include -I/usr/include/hdf -I/usr/include/hdf -I/usr/include/hdf5 -I/usr/include -I/usr/include -I/usr/include/python2.6 -I/usr/include -I/usr/include -DH5_USE_16_API -fopenmp -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -c -o gdl-gdlwidget.o `test -f 'gdlwidget.cpp' || echo '../../src/'`gdlwidget.cpp
In file included from ../../src/dimension.hpp:24,
from ../../src/basegdl.hpp:28,
from ../../src/gdlwidget.cpp:21:
../../src/typedefs.hpp: In member function 'GDLArray<T>& GDLArray<T>::operator=(const GDLArray<T>&)':
../../src/typedefs.hpp:345: warning: suggest explicit braces to avoid ambiguous 'else'
In file included from ../../src/basegdl.hpp:28,
from ../../src/gdlwidget.cpp:21:
../../src/dimension.hpp: In copy constructor 'dimension::dimension(const dimension&)':
../../src/dimension.hpp:49: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In constructor 'dimension::dimension(const SizeT*, SizeT)':
../../src/dimension.hpp:57: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In constructor 'dimension::dimension(const DLong*, SizeT)':
../../src/dimension.hpp:64: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'dimension& dimension::operator=(const dimension&)':
../../src/dimension.hpp:104: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'void dimension::operator<<(const dimension&)':
../../src/dimension.hpp:116: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp:119: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'void dimension::operator<<(SizeT)':
../../src/dimension.hpp:126: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp:129: warning: array subscript has type 'char'
../../src/dimension.hpp: In member function 'void dimension::operator>>(SizeT)':
../../src/dimension.hpp:137: warning: comparison between signed and unsigned integer expressions
In file included from ../../src/basegdl.hpp:28,
from ../../src/gdlwidget.cpp:21:
../../src/dimension.hpp: In member function 'SizeT dimension::Remove(SizeT)':
../../src/dimension.hpp:192: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In function 'bool operator==(const dimension&, const dimension&)':
../../src/dimension.hpp:227: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In function 'bool operator!=(const dimension&, const dimension&)':
../../src/dimension.hpp:237: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'SizeT dimension::operator[](SizeT) const':
../../src/dimension.hpp:245: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'SizeT dimension::N_Elements() const':
../../src/dimension.hpp:255: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'void dimension::Set(SizeT, SizeT)':
../../src/dimension.hpp:261: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'SizeT dimension::Stride(SizeT) const':
../../src/dimension.hpp:268: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'void dimension::Stride(SizeT*, SizeT) const':
../../src/dimension.hpp:279: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp:284: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp: In member function 'SizeT dimension::LongIndex(const dimension&) const':
../../src/dimension.hpp:324: warning: comparison between signed and unsigned integer expressions
../../src/dimension.hpp:332: warning: comparison between signed and unsigned integer expressions
In file included from ../../src/dstructdesc.hpp:28,
from ../../src/typetraits.hpp:28,
from ../../src/datatypes.hpp:34,
from ../../src/dstructgdl.hpp:26,
from ../../src/gdlwidget.cpp:22:
../../src/dpro.hpp: In member function 'ProgNode* DSubUD::GotoTarget(int)':
../../src/dpro.hpp:296: warning: comparison between signed and unsigned integer expressions
In file included from ../../src/gdlwidget.cpp:26:
../../src/gdlwidget.hpp: In member function 'virtual DLong GDLWidget::GetChild(DLong)':
../../src/gdlwidget.hpp:114: warning: no return statement in function returning non-void
../../src/gdlwidget.hpp: In member function 'virtual bool GDLWidget::GetXmanagerActiveCommand()':
../../src/gdlwidget.hpp:116: warning: no return statement in function returning non-void
../../src/gdlwidget.hpp: In member function 'virtual DString GDLWidget::GetEventPro()':
../../src/gdlwidget.hpp:119: warning: no return statement in function returning non-void
../../src/gdlwidget.cpp: In static member function 'static GDLWidget* GDLWidget::GetParent(WidgetIDT)':
../../src/gdlwidget.cpp:102: warning: unused variable 'parent'
../../src/gdlwidget.cpp: In static member function 'static bool GDLWidget::PollEvents(DLong*, DLong*, DLong*, DLong*)':
../../src/gdlwidget.cpp:205: warning: comparison between signed and unsigned integer expressions
../../src/gdlwidget.cpp: In constructor 'GDLWidgetBase::GDLWidgetBase(WidgetIDT, BaseGDL*, DString, bool, bool, WidgetIDT, bool, WidgetIDT, DLong, DLong, long int, int, bool, DString, DString, DString, DString, DString, DString, DString, DString, DString, DLong, DLong, DString, DLong, DLong, DLong, DLong, DLong, DLong, DLong, DLong, DLong, DLong)':
../../src/gdlwidget.cpp:369: error: no matching function for call to 'GDLFrame::GDLFrame(wxWindow*&, WidgetIDT&, DString&)'
../../src/gdlwidget.hpp:282: note: candidates are: GDLFrame::GDLFrame(wxWindow*, wxWindowID, const wxString&)
../../src/gdlwidget.hpp:279: note: GDLFrame::GDLFrame(const GDLFrame&)
../../src/gdlwidget.cpp:446: error: no matching function for call to 'wxDialog::wxDialog(wxWindow*&, WidgetIDT&, DString&)'
/usr/include/wx-2.8/wx/gtk/dialog.h:36: note: candidates are: wxDialog::wxDialog(wxWindow*, wxWindowID, const wxString&, const wxPoint&, const wxSize&, long int, const wxString&)
/usr/include/wx-2.8/wx/gtk/dialog.h:35: note: wxDialog::wxDialog()
/usr/include/wx-2.8/wx/gtk/dialog.h:33: note: wxDialog::wxDialog(const wxDialog&)
../../src/gdlwidget.cpp: In member function 'virtual void GDLWidgetBase::Realize(bool)':
../../src/gdlwidget.cpp:475: warning: unused variable 'stat'
../../src/gdlwidget.cpp: In constructor 'GDLWidgetButton::GDLWidgetButton(WidgetIDT, BaseGDL*, DString)':
../../src/gdlwidget.cpp:526: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp:529: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp:535: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp:538: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp: In constructor 'GDLWidgetDropList::GDLWidgetDropList(WidgetIDT, BaseGDL*, BaseGDL*, DString, DLong, DLong)':
../../src/gdlwidget.cpp:594: warning: comparison between signed and unsigned integer expressions
../../src/gdlwidget.cpp:594: error: no match for 'operator=' in '*(choices + ((unsigned int)(i * 4u))) = val->Data_< <template-parameter-1-1> >::operator[] [with Sp = SpDString](i)'
/usr/include/wx-2.8/wx/string.h:676: note: candidates are: wxString& wxString::operator=(int)
/usr/include/wx-2.8/wx/string.h:953: note: wxString& wxString::operator=(const wxStringBase&)
/usr/include/wx-2.8/wx/string.h:956: note: wxString& wxString::operator=(wxChar)
/usr/include/wx-2.8/wx/string.h:964: note: wxString& wxString::operator=(const wxChar*)
/usr/include/wx-2.8/wx/string.h:970: note: wxString& wxString::operator=(const wxWCharBuffer&)
/usr/include/wx-2.8/wx/string.h:660: note: wxString& wxString::operator=(const wxString&)
../../src/gdlwidget.cpp:596: error: 'Lchoices' was not declared in this scope
../../src/gdlwidget.cpp: In constructor 'GDLWidgetText::GDLWidgetText(WidgetIDT, BaseGDL*, DString, DLong)':
../../src/gdlwidget.cpp:636: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp: In member function 'void GDLWidgetText::SetTextValue(DString)':
../../src/gdlwidget.cpp:665: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp: In constructor 'GDLWidgetLabel::GDLWidgetLabel(WidgetIDT, BaseGDL*, DString, DLong)':
../../src/gdlwidget.cpp:682: error: 'Lvalue' was not declared in this scope
../../src/gdlwidget.cpp: In member function 'void GDLWidgetLabel::SetLabelValue(DString)':
../../src/gdlwidget.cpp:712: error: 'Lvalue' was not declared in this scope

Comment 8 Bug Zapper 2010-07-30 11:49:47 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Matt Domsch 2010-12-12 20:30:05 UTC
gdl-0.9-5.fc15 builds in rawhide as of 2010-12-01.


Note You need to log in before you can comment on or make changes to this bug.